package mods.immibis.lxp;

import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.client.renderer.texture.TextureMap;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;
import cpw.mods.fml.common.registry.LanguageRegistry;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

public class LiquidItem extends Item {
	public LiquidItem(int i) {
		super(i);
		
		setUnlocalizedName("immibis/lxp:liquid");
		
		LanguageRegistry.addName(this, "Liquid XP");
		setCreativeTab(CreativeTabs.tabMisc);
	}
	
	@Override
	@SideOnly(Side.CLIENT)
	public void func_94581_a(IconRegister reg) {
		if(reg instanceof TextureMap) {
			LiquidTextureFX lfx = new LiquidTextureFX("immibis/lxp:liquid");
			iconIndex = lfx;
			((TextureMap)reg).setTextureEntry("immibis/lxp:liquid", lfx);
		}
	}
}
